﻿using System.Windows;
using System.Windows.Controls;
using System.Collections.ObjectModel;

namespace RibbonInScrollViewer
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            XamComboEditorTool cbt = (XamComboEditorTool)igRibbon.FindToolById("cbt");
            cbt.ItemsSource = new CollectionData();
        }
    }

    public class MyData
    {
        public string MyProperty { get; set; }

        public MyData()
        {
            this.MyProperty = "test";
        }

        public MyData(string myProperty)
        {
            this.MyProperty = myProperty;
        }
    }


    public class CollectionData : ObservableCollection<MyData>
    {
        public CollectionData()
        {
            this.Add(new MyData("test1"));
            this.Add(new MyData("test2"));
            this.Add(new MyData("test3"));
        }
    }
}
